Bug 526839 - Possible cross-dependency with rubygem-actionpack prevents update?
Summary: Possible cross-dependency with rubygem-actionpack prevents update?
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby-activesupport
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Lutterkort
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-02 01:18 UTC by pthursby2
Modified: 2013-04-30 23:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-22 19:48:32 UTC
Type: ---


Attachments (Terms of Use)

Description pthursby2 2009-10-02 01:18:11 UTC
Description of problem:
Using the Software Update tool, there are two updates:
1. rubygem-actionpack  ("Web-flow and rendering framework")
2. rubygem-activesupport ("Support and utility classes")
...that can't resolve dependencies, because one depends on the other, and vice-versa:

Version-Release number of selected component (if applicable):
both list 2.3.3-2fc11(noarch)


How reproducible:
Both options selected, try to update. Also will not work if only one of the two are selected.

Actual results:


Additional info:
Here's the failed dependency report for rubygem-actionpack:
rubygem(actionpack) = 2.3.2 is needed by package rubygem-rails-2.3.2-3.fc11.noarch
rubygem(activesupport) = 2.3.2 is needed by package rubygem-activerecord-2.3.2-1.fc11.noarch
rubygem(actionpack) = 2.3.2 is needed by package rubygem-actionmailer-2.3.2-1.fc11.noarch
rubygem(activesupport) = 2.3.2 is needed by package rubygem-activeresource-2.3.2-1.fc11.noarch
rubygem(activesupport) = 2.3.2 is needed by package rubygem-rails-2.3.2-3.fc11.noarch

...and the failed dependency report for rubygem-activesupport:
rubygem(actionpack) = 2.3.2 is needed by package rubygem-rails-2.3.2-3.fc11.noarch
rubygem(activesupport) = 2.3.2 is needed by package rubygem-activerecord-2.3.2-1.fc11.noarch
rubygem(actionpack) = 2.3.2 is needed by package rubygem-actionmailer-2.3.2-1.fc11.noarch
rubygem(activesupport) = 2.3.2 is needed by package rubygem-activeresource-2.3.2-1.fc11.noarch
rubygem(activesupport) = 2.3.2 is needed by package rubygem-rails-2.3.2-3.fc11.noarch : Success - empty transaction

So based on what I can tell by the output, these two seem cross dependent, unless I'm missing the real point of these messages?

Comment 1 Kriton Kyrimis 2009-10-13 10:17:18 UTC
I'm getting the same errors, too. It seems that rubygem-actionpack and rubygem-activesupport have been updated to version 2.3.3, but rubygem-rails is still at version 2.3.2, requiring version 2.3.2 of rubygem-actionpack and rubygem-activesupport, thus blocking the update. I see that rubygem-rails-2.3.3-2 is in updates-testing, so perhaps all that's needed is for the new version to be pushed to fedora-updates.

Comment 2 David Lutterkort 2009-10-13 19:40:21 UTC
I just pushed an update that downgrades rails back down to 2.3.2; it should hit a mirror near you RSN


Note You need to log in before you can comment on or make changes to this bug.